Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.util
Class MultiPartInputStream

    java.lang.Object
      org.eclipse.jetty.util.MultiPartInputStream

    public class MultiPartInputStream

extends java.lang.Object

MultiPartInputStream Handle a MultiPart Mime input stream, breaking it up on the boundary into files and strings.

Nested Class Summary
`class` | `MultiPartInputStream.MultiPart`

Field Summary
`static MultipartConfigElement` | `__DEFAULT_MULTIPART_CONFIG`
`protected MultipartConfigElement` | `_config`
`protected java.lang.String` | `_contentType`
`protected java.io.File` | `_contextTmpDir`
`protected java.io.InputStream` | `_in`
`protected MultiMap<java.lang.String>` | `_parts`
`protected java.io.File` | `_tmpDir`

Constructor Summary
`MultiPartInputStream(java.io.InputStream in, java.lang.String contentType, MultipartConfigElement config, java.io.File contextTmpDir)`

Method Summary
`Part` | `getPart(java.lang.String name)`
`java.util.Collection<Part>` | `getParts()`
`protected void` | `parse()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### __DEFAULT_MULTIPART_CONFIG

    public static final MultipartConfigElement __DEFAULT_MULTIPART_CONFIG

### _in

    protected java.io.InputStream _in

### _config

    protected MultipartConfigElement _config

### _contentType

    protected java.lang.String _contentType

### _parts

    protected MultiMap<java.lang.String> _parts

### _tmpDir

    protected java.io.File _tmpDir

### _contextTmpDir

    protected java.io.File _contextTmpDir

Constructor Detail

### MultiPartInputStream

    public MultiPartInputStream(java.io.InputStream in,
                                java.lang.String contentType,
                                MultipartConfigElement config,
                                java.io.File contextTmpDir)

Parameters:
  `in` - Request input stream
  `contentType` - Content-Type header
  `config` - MultipartConfigElement
  `contextTmpDir` - javax.servlet.context.tempdir

Method Detail

### getParts

    public java.util.Collection<Part> getParts()
                                        throws java.io.IOException,
                                               ServletException

  Throws:
    `java.io.IOException`
    `ServletException`

### getPart

    public Part getPart(java.lang.String name)
                 throws java.io.IOException,
                        ServletException

  Throws:
    `java.io.IOException`
    `ServletException`

### parse

    protected void parse()
                  throws java.io.IOException,
                         ServletException

  Throws:
    `java.io.IOException`
    `ServletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.